Subject: bug#28620: Interact directly on Emacs bug#28620: mouse drag event records wrong release window

From: Eli Zaretskii <[email-masked]>
Date: Tue, 03 Oct 2017 21:42:53 +0300

> From: Robert Weiner <[email-masked]>
> Date: Tue, 3 Oct 2017 14:21:43 -0400
> Cc: Eli Zaretskii <[email-masked]>
> 
> I start with the mouse within a window of f1 and selected frame of f1; (mouse-position) also reports f1.
> 
> I click mouse-1 in an Emacs window of f2 and leave it there.
> (selected-frame) is now f2
> macOS window manager highlights f2 as active window
> (frame-focus) returns nil
> (mouse-position) reports a frame of f1 <<< WRONG

Sounds like something that's macOS specific.  At least on MS-Windows I
cannot reproduce this: mouse-position returns the correct frame.